---
abstract: 'Loads one of several alternate underlying implementations for a module'
author:
  - 'Dave Rolsky <autarch@urth.org>'
build_requires:
  ExtUtils::MakeMaker: '0'
  File::Spec: '0'
  IO::Handle: '0'
  IPC::Open3: '0'
  Test::Fatal: '0.006'
  Test::More: '0.88'
  Test::Requires: '0'
  lib: '0'
  perl: '5.006'
configure_requires:
  ExtUtils::MakeMaker: '0'
dynamic_config: 0
generated_by: 'Dist::Zilla version 5.020, CPAN::Meta::Converter version 2.142060'
license: artistic_2
meta-spec:
  url: http://module-build.sourceforge.net/META-spec-v1.4.html
  version: '1.4'
name: Module-Implementation
provides:
  Module::Implementation:
    file: lib/Module/Implementation.pm
    version: '0.09'
requires:
  Carp: '0'
  Module::Runtime: '0.012'
  Try::Tiny: '0'
  strict: '0'
  warnings: '0'
resources:
  bugtracker: http://rt.cpan.org/Public/Dist/Display.html?Name=Module-Implementation
  homepage: http://metacpan.org/release/Module-Implementation
  repository: git://github.com/autarch/Module-Implementation.git
version: '0.09'
x_Dist_Zilla:
  perl:
    version: '5.016003'
  plugins:
    -
      class: Dist::Zilla::Plugin::MakeMaker
      config:
        Dist::Zilla::Role::TestRunner:
          default_jobs: 1
      name: '@DROLSKY/MakeMaker'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::Authority
      name: '@DROLSKY/Authority'
      version: '1.006'
    -
      class: Dist::Zilla::Plugin::AutoPrereqs
      name: '@DROLSKY/AutoPrereqs'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::GatherDir
      name: '@DROLSKY/GatherDir'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::GitHub::Meta
      name: '@DROLSKY/GitHub::Meta'
      version: '0.38'
    -
      class: Dist::Zilla::Plugin::GitHub::Update
      name: '@DROLSKY/GitHub::Update'
      version: '0.38'
    -
      class: Dist::Zilla::Plugin::MetaResources
      name: '@DROLSKY/MetaResources'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::MetaProvides::Package
      config:
        Dist::Zilla::Plugin::MetaProvides::Package:
          finder_objects:
            -
              class: Dist::Zilla::Plugin::FinderCode
              name: '@DROLSKY/MetaProvides::Package/AUTOVIV/:InstallModulesPM'
              version: '5.020'
        Dist::Zilla::Role::MetaProvider::Provider:
          inherit_missing: '1'
          inherit_version: '1'
          meta_noindex: '1'
      name: '@DROLSKY/MetaProvides::Package'
      version: '2.000004'
    -
      class: Dist::Zilla::Plugin::NextRelease
      name: '@DROLSKY/NextRelease'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::Test::Pod::Coverage::Configurable
      name: '@DROLSKY/Test::Pod::Coverage::Configurable'
      version: '0.01'
    -
      class: Dist::Zilla::Plugin::Test::PodSpelling
      name: '@DROLSKY/Test::PodSpelling'
      version: '2.006008'
    -
      class: Dist::Zilla::Plugin::Test::ReportPrereqs
      name: '@DROLSKY/Test::ReportPrereqs'
      version: '0.019'
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: test
          type: requires
      name: '@DROLSKY/TestMoreDoneTesting'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::PromptIfStale
      config:
        Dist::Zilla::Plugin::PromptIfStale:
          check_all_plugins: '1'
          check_all_prereqs: '1'
          modules: []
          phase: release
          skip: []
      name: '@DROLSKY/stale modules, release'
      version: '0.024'
    -
      class: Dist::Zilla::Plugin::ReadmeAnyFromPod
      name: '@DROLSKY/ReadmeMarkdownInBuild'
      version: '0.142250'
    -
      class: Dist::Zilla::Plugin::ReadmeAnyFromPod
      name: '@DROLSKY/ReadmeMarkdownInRoot'
      version: '0.142250'
    -
      class: Dist::Zilla::Plugin::PruneCruft
      name: '@DROLSKY/PruneCruft'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::ManifestSkip
      name: '@DROLSKY/ManifestSkip'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::MetaYAML
      name: '@DROLSKY/MetaYAML'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::License
      name: '@DROLSKY/License'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::ExtraTests
      name: '@DROLSKY/ExtraTests'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::ExecDir
      name: '@DROLSKY/ExecDir'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::ShareDir
      name: '@DROLSKY/ShareDir'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::Manifest
      name: '@DROLSKY/Manifest'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::TestRelease
      name: '@DROLSKY/TestRelease'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::ConfirmRelease
      name: '@DROLSKY/ConfirmRelease'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::UploadToCPAN
      name: '@DROLSKY/UploadToCPAN'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::CheckPrereqsIndexed
      name: '@DROLSKY/CheckPrereqsIndexed'
      version: '0.012'
    -
      class: Dist::Zilla::Plugin::ContributorsFromGit
      name: '@DROLSKY/ContributorsFromGit'
      version: '0.014'
    -
      class: Dist::Zilla::Plugin::CopyReadmeFromBuild
      name: '@DROLSKY/CopyReadmeFromBuild'
      version: '0.0019'
    -
      class: Dist::Zilla::Plugin::Git::CheckFor::CorrectBranch
      config:
        Dist::Zilla::Role::Git::Repo:
          repo_root: .
      name: '@DROLSKY/Git::CheckFor::CorrectBranch'
      version: '0.011'
    -
      class: Dist::Zilla::Plugin::Git::CheckFor::MergeConflicts
      config:
        Dist::Zilla::Role::Git::Repo:
          repo_root: .
      name: '@DROLSKY/Git::CheckFor::MergeConflicts'
      version: '0.011'
    -
      class: Dist::Zilla::Plugin::Git::Describe
      name: '@DROLSKY/Git::Describe'
      version: '0.003'
    -
      class: Dist::Zilla::Plugin::InstallGuide
      name: '@DROLSKY/InstallGuide'
      version: '1.200003'
    -
      class: Dist::Zilla::Plugin::Meta::Contributors
      name: '@DROLSKY/Meta::Contributors'
      version: '0.001'
    -
      class: Dist::Zilla::Plugin::MetaConfig
      name: '@DROLSKY/MetaConfig'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::MetaJSON
      name: '@DROLSKY/MetaJSON'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::PkgVersion
      name: '@DROLSKY/PkgVersion'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::SurgicalPodWeaver
      config:
        Dist::Zilla::Plugin::PodWeaver:
          finder:
            - ':InstallModules'
            - ':ExecFiles'
          plugins:
            -
              class: Pod::Weaver::Plugin::EnsurePod5
              name: '@CorePrep/EnsurePod5'
              version: '4.006'
            -
              class: Pod::Weaver::Plugin::H1Nester
              name: '@CorePrep/H1Nester'
              version: '4.006'
            -
              class: Pod::Weaver::Plugin::SingleEncoding
              name: '@Default/SingleEncoding'
              version: '4.006'
            -
              class: Pod::Weaver::Section::Name
              name: '@Default/Name'
              version: '4.006'
            -
              class: Pod::Weaver::Section::Version
              name: '@Default/Version'
              version: '4.006'
            -
              class: Pod::Weaver::Section::Region
              name: '@Default/prelude'
              version: '4.006'
            -
              class: Pod::Weaver::Section::Generic
              name: SYNOPSIS
              version: '4.006'
            -
              class: Pod::Weaver::Section::Generic
              name: DESCRIPTION
              version: '4.006'
            -
              class: Pod::Weaver::Section::Generic
              name: OVERVIEW
              version: '4.006'
            -
              class: Pod::Weaver::Section::Collect
              name: ATTRIBUTES
              version: '4.006'
            -
              class: Pod::Weaver::Section::Collect
              name: METHODS
              version: '4.006'
            -
              class: Pod::Weaver::Section::Collect
              name: FUNCTIONS
              version: '4.006'
            -
              class: Pod::Weaver::Section::Leftovers
              name: '@Default/Leftovers'
              version: '4.006'
            -
              class: Pod::Weaver::Section::Region
              name: '@Default/postlude'
              version: '4.006'
            -
              class: Pod::Weaver::Section::Authors
              name: '@Default/Authors'
              version: '4.006'
            -
              class: Pod::Weaver::Section::Legal
              name: '@Default/Legal'
              version: '4.006'
      name: '@DROLSKY/SurgicalPodWeaver'
      version: '0.0021'
    -
      class: Dist::Zilla::Plugin::EOLTests
      name: '@DROLSKY/EOLTests'
      version: '0.02'
    -
      class: Dist::Zilla::Plugin::PodSyntaxTests
      name: '@DROLSKY/PodSyntaxTests'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::Test::CPAN::Changes
      name: '@DROLSKY/Test::CPAN::Changes'
      version: '0.008'
    -
      class: Dist::Zilla::Plugin::Test::Compile
      config:
        Dist::Zilla::Plugin::Test::Compile:
          bail_out_on_fail: '0'
          fail_on_warning: author
          fake_home: '0'
          filename: t/00-compile.t
          module_finder:
            - ':InstallModules'
          needs_display: '0'
          phase: test
          script_finder:
            - ':ExecFiles'
          skips: []
      name: '@DROLSKY/Test::Compile'
      version: '2.046'
    -
      class: Dist::Zilla::Plugin::Test::NoTabs
      config:
        Dist::Zilla::Plugin::Test::NoTabs:
          filename: xt/author/no-tabs.t
          finder:
            - ':InstallModules'
            - ':ExecFiles'
            - ':TestFiles'
      name: '@DROLSKY/Test::NoTabs'
      version: '0.09'
    -
      class: Dist::Zilla::Plugin::Test::Pod::LinkCheck
      name: '@DROLSKY/Test::Pod::LinkCheck'
      version: '1.001'
    -
      class: Dist::Zilla::Plugin::Test::Pod::No404s
      name: '@DROLSKY/Test::Pod::No404s'
      version: '1.001'
    -
      class: Dist::Zilla::Plugin::Test::Portability
      name: '@DROLSKY/Test::Portability'
      version: '2.000005'
    -
      class: Dist::Zilla::Plugin::Git::Check
      config:
        Dist::Zilla::Plugin::Git::Check:
          untracked_files: die
        Dist::Zilla::Role::Git::DirtyFiles:
          allow_dirty:
            - Changes
            - CONTRIBUTING.md
            - README.md
          allow_dirty_match: []
          changelog: Changes
        Dist::Zilla::Role::Git::Repo:
          repo_root: .
      name: '@DROLSKY/Git::Check'
      version: '2.023'
    -
      class: Dist::Zilla::Plugin::Git::Commit
      config:
        Dist::Zilla::Plugin::Git::Commit:
          add_files_in: []
          commit_msg: v%v%n%n%c
          time_zone: local
        Dist::Zilla::Role::Git::DirtyFiles:
          allow_dirty:
            - Changes
            - CONTRIBUTING.md
            - README.md
          allow_dirty_match: []
          changelog: Changes
        Dist::Zilla::Role::Git::Repo:
          repo_root: .
      name: '@DROLSKY/Git::Commit'
      version: '2.023'
    -
      class: Dist::Zilla::Plugin::Git::Tag
      config:
        Dist::Zilla::Plugin::Git::Tag:
          branch: ~
          signed: 0
          tag: v0.09
          tag_format: v%v
          tag_message: v%v
          time_zone: local
        Dist::Zilla::Role::Git::Repo:
          repo_root: .
      name: '@DROLSKY/Git::Tag'
      version: '2.023'
    -
      class: Dist::Zilla::Plugin::Git::Push
      config:
        Dist::Zilla::Plugin::Git::Push:
          push_to:
            - origin
          remotes_must_exist: 1
        Dist::Zilla::Role::Git::Repo:
          repo_root: .
      name: '@DROLSKY/Git::Push'
      version: '2.023'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':InstallModules'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':IncModules'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':TestFiles'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ExecFiles'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ShareFiles'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':MainModule'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':AllFiles'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':NoFiles'
      version: '5.020'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: '@DROLSKY/MetaProvides::Package/AUTOVIV/:InstallModulesPM'
      version: '5.020'
  zilla:
    class: Dist::Zilla::Dist::Builder
    config:
      is_trial: '0'
    version: '5.020'
x_authority: cpan:DROLSKY
x_contributors:
  - 'Peter Rabbitson <ribasushi@cpan.org>'